# Class StringUtil

java.lang.Object
org.apache.catalina.util.StringUtil

public class StringUtil extends Object
Utility methods for string manipulation in Catalina.

## Constructor Summary

Constructors
Constructor
Description
`StringUtil()`
Constructs a new StringUtil.

## Method Summary

Modifier and Type
Method
Description
`static String[]`
`splitCommaSeparated(String s)`
Splits a comma-separated string into an array of String values.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringUtil

public StringUtil()
Constructs a new StringUtil. This utility class should not be instantiated.

## Method Details

### splitCommaSeparated

public static String[] splitCommaSeparated(String s)
Splits a comma-separated string into an array of String values. Whitespace around the commas is removed. Null or empty values will return a zero-element array.

Parameters:
  `s` - The string to split by commas.
Returns:
  An array of String values.